Lucene search

K
kasperskyKaspersky LabKLA11261
HistoryJun 06, 2018 - 12:00 a.m.

KLA11261 Multiple vulnerabilities in Adobe Flash player

2018-06-0600:00:00
Kaspersky Lab
threats.kaspersky.com
974

CVSS2

10

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

8.1

Confidence

High

EPSS

0.031

Percentile

91.1%

Multiple serious vulnerabilities have been found in Adobe Flash player. Malicious users can exploit these vulnerabilities to execute arbitrary code and obtain sensitive information.

Below is a complete list of vulnerabilities:

  1. Type Confusion vulnerability in Adobe Flash player can be exploited locally via a specially designed document file to execute arbitrary code;
  2. Integer Overflow vulnerability in Adobe Flash player can be exploited locally via a specially designed document file to obtain sensitive information;
  3. Out-of-bounds read vulnerability in Adobe Flash player can be exploited locally via a specially designed document file to obtain sensitive information;
  4. Stack-based buffer overflow vulnerability in Adobe Flash player can be exploited locally via a specially designed document file to execute arbitrary code.

Technical details

To update Adobe Flash Player ActiveX (detected as Flash.ocx) on Windows 8 and higher, install latest updates from Control Panel

Original advisories

APSB18-19

Exploitation

Malware exists for this vulnerability. Usually such malware is classified as Exploit. More details.

Related products

Adobe-Flash-Player-ActiveX

Adobe-Flash-Player-NPAPI

Adobe-Flash-Player-PPAPI

CVE list

CVE-2018-4945 high

CVE-2018-5000 warning

CVE-2018-5001 warning

CVE-2018-5002 critical

Solution

Update to the latest version

Flash Player Download Center

Impacts

  • ACE

Arbitrary code execution. Exploitation of vulnerabilities with this impact can lead to executing by abuser any code or commands at vulnerable machine or process.

  • OSI

Obtain sensitive information. Exploitation of vulnerabilities with this impact can lead to capturing by abuser information, critical for user or system.

  • SB

Security bypass. Exploitation of vulnerabilities with this impact can lead to performing actions restricted by current security settings.

Affected Products

  • Adobe Flash player NPAPI earlier than 30.0.0.113Adobe Flash player PPAPI earlier than 30.0.0.113Adobe Flash player ActiveX earlier than 30.0.0.113

CVSS2

10

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

8.1

Confidence

High

EPSS

0.031

Percentile

91.1%